View Issue Details

IDProjectCategoryView StatusLast Update
0001027Main CAcert Websitewebsite contentpublic2013-01-15 18:13
ReporterINOPIAE Assigned Toegal  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Fixed in Version2012 Q2 
Summary0001027: Add information for affiliate program from booking.com
DescriptionInform users about the affilate program on the donations page (index.php?id=13)

May be this code should also be added to the donation section on the start page.
Additional InformationAdd the follwing code at the end of the page:

<H3><?=_("Using our affiliate program")?></H3>


<h4><?=_("If you do any trips where you need accommodation why not book over booking.com?")?></h4>

<?printf(_("For any booking done over %sbooking.com%s started from this page CAcert gets a share of the provision."),
'//www.booking.com/index.html?aid=346253');?>


<?=_("You do not pay more but you will support CAcert.")?>

TagsNo tags attached.
Reviewed bydastrath, NEOatNHNG
Test Instructions

Activities

INOPIAE

2012-03-24 18:00

updater  

13.php (4,813 bytes)

NEOatNHNG

2012-04-03 16:40

administrator   ~0002922

Added to test server. Needs testing and a second review.

INOPIAE

2012-04-03 22:22

updater   ~0002923

Information is visible and link is correct.

MartinGummi

2012-04-03 22:30

updater   ~0002924

Information is visible and link works and checked with wiki page

http://wiki.cacert.org/CAcertInc/Affiliates

Uli60

2012-04-04 11:23

updater   ~0002925

footer menu option - Donations - links to /index.php?id=13
Addtl. text "Using Our Affiliate Partners" visible.
Link booking.com works. => Ok

login with user 80 pts
footer menu option - Donations - links to /account.php?id=38 (!!)
no link to the affiliate program (!) => FAIL

NEOatNHNG

2012-04-15 18:33

administrator   ~0002930

Made contents of the logged in donation page to be included from the logged out version, so both pages should show the same content now.

Please test and review.

INOPIAE

2012-04-15 21:15

updater   ~0002931

footer menu option - Donations - links to /index.php?id=13
Addtl. text "Using Our Affiliate Partners" visible.
Link booking.com works. => Ok

login with user via password
footer menu option - Donations - links to /account.php?id=38
Link booking.com works. => Ok

login with user via certificate
footer menu option - Donations - links to /account.php?id=38
Link booking.com works. => Ok

Uli60

2012-04-15 21:53

updater   ~0002932

cert login with an user account #1
footer menu - donations
links to https://secure1.*/account.php?id=38
"Using Our Affiliate Partners" section includes link to booking.com
https://www.booking.com/index.html?aid=346253
link has been opened in the same tab (is this as expected? or new tab?)

back() return to testserver site
logout
footer menu - donations
links to https://cacert1.*/index.php?id=13
"Using Our Affiliate Partners" section includes link to booking.com
https://www.booking.com/index.html?aid=346253
link has been opened in the same tab (is this as expected? or new tab?)

back() return to testserver site
(logged out state)
login to user account 0000002 with account + pwd
footer menu - donations
links to https://cacert1.it-sls.de/account.php?id=38
"Using Our Affiliate Partners" section includes link to booking.com
https://www.booking.com/index.html?aid=346253
(footer menu - donations still links to https://cacert1.it-sls.de/account.php?id=38)
link has been opened in the same tab (is this as expected? or new tab?)
logout

=> all ok

if link to booking.com should be opened in a separate window/tab or not can be one topic for discussion

MartinGummi

2012-04-17 22:39

updater   ~0002938

https://cacert1.it-sls.de/account.php?id=38 -->
https://www.booking.com/index.html?aid=346253
OK
https://cacert1.it-sls.de/index.php?id=13 -->
https://www.booking.com/index.html?aid=346253
OK

Uli60

2012-04-18 01:01

updater   ~0002939

next: review + report + transfer to critical team

NEOatNHNG

2012-04-18 15:33

administrator   ~0002941

Patch was reviewed by dastrath in yesterdays software assessment meeting.

Mail sent to critical admins.

wytze

2012-04-18 19:30

developer   ~0002945

The patch has been installed on the production server on April 18,2012. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2012-04/msg00007.html

Werner Dworak

2012-12-21 05:31

updater   ~0003532

More than 3 month fixed and no complaints

Issue History

Date Modified Username Field Change
2012-03-24 17:58 INOPIAE New Issue
2012-03-24 17:58 INOPIAE File Added: 13.php
2012-03-24 17:58 INOPIAE Additional Information Updated View Revisions
2012-03-24 17:59 INOPIAE File Deleted: 13.php
2012-03-24 18:00 INOPIAE File Added: 13.php
2012-03-24 18:02 INOPIAE Additional Information Updated View Revisions
2012-04-01 09:04 INOPIAE Description Updated View Revisions
2012-04-03 16:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver f348938c
2012-04-03 16:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver 15872937
2012-04-03 16:40 NEOatNHNG Note Added: 0002922
2012-04-03 16:40 NEOatNHNG Assigned To => NEOatNHNG
2012-04-03 16:40 NEOatNHNG Status new => needs review & testing
2012-04-03 22:22 INOPIAE Note Added: 0002923
2012-04-03 22:30 MartinGummi Note Added: 0002924
2012-04-04 11:23 Uli60 Note Added: 0002925
2012-04-15 18:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver 03da3f71
2012-04-15 18:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver 0c674e38
2012-04-15 18:33 NEOatNHNG Note Added: 0002930
2012-04-15 18:33 NEOatNHNG Reviewed by => NEOatNHNG
2012-04-15 18:35 NEOatNHNG Source_changeset_attached => cacert-devel testserver 9e3ef171
2012-04-15 18:35 NEOatNHNG Source_changeset_attached => cacert-devel testserver 2f25d338
2012-04-15 21:15 INOPIAE Note Added: 0002931
2012-04-15 21:53 Uli60 Note Added: 0002932
2012-04-17 22:39 MartinGummi Note Added: 0002938
2012-04-18 01:01 Uli60 Note Added: 0002939
2012-04-18 01:01 Uli60 Assigned To NEOatNHNG => egal
2012-04-18 01:01 Uli60 Status needs review & testing => needs review
2012-04-18 15:33 NEOatNHNG Note Added: 0002941
2012-04-18 15:33 NEOatNHNG Status needs review => ready to deploy
2012-04-18 15:33 NEOatNHNG Reviewed by NEOatNHNG => dastrath, NEOatNHNG
2012-04-18 19:30 wytze Note Added: 0002945
2012-04-18 19:30 wytze Status ready to deploy => solved?
2012-04-18 19:30 wytze Resolution open => fixed
2012-12-21 05:31 Werner Dworak Note Added: 0003532
2012-12-21 05:31 Werner Dworak Status solved? => closed
2013-01-15 18:13 Werner Dworak Fixed in Version => 2012 Q2